
local l_engRpm_sim = AddSimple(nil,{-0.94628175*width,-0.113475*height},nil,T_Page_sim)
AddCircle(nil,0.441233*height,0.384183*height,270,36,nil,nil,'DBG_YELLOW',nil,nil,l_engRpm_sim)
AddCircle(nil,0.441233*height,0.384183*height,30,36,nil,{90,0},'DBG_RED',nil,nil,l_engRpm_sim)
AddSimpleLine(nil,0.02*height,{{0,0.0},{0,0.384183*height}},nil,nil,'DBG_YELLOW',nil,nil,l_engRpm_sim,{'L_ENG_RPM'},
{
    {AnimalControllor.rotateUsingParameter,0,math.rad(-2.7)}
})
local txt = AddText(nil,nil,'unicode_cn_white',{-0.30*height,0.4*height},nil,DEFAULT_FONT_SIZE[7],nil,nil,l_engRpm_sim,{'%.1f'},{'L_ENG_RPM'},
{
    {AnimalControllor.textUsingParameter,0}
})
AddBoxBorder(nil,0.30*height,0.15*height,0.02*height,nil,nil,'DBG_GREEN',nil,nil,txt)
AddText(nil,'左','unicode_cn_white',{0,0.8*height},nil,DEFAULT_FONT_SIZE[5],nil,nil,l_engRpm_sim)

local r_engRpm_sim = AddSimple(nil,{-0.87674485*width,-0.113475*height},nil,T_Page_sim)
AddCircle(nil,0.441233*height,0.384183*height,270,36,nil,nil,'DBG_YELLOW',nil,nil,r_engRpm_sim)
AddCircle(nil,0.441233*height,0.384183*height,30,36,nil,{90,0},'DBG_RED',nil,nil,r_engRpm_sim)
AddSimpleLine(nil,0.02*height,{{0,0.0},{0,0.384183*height}},nil,nil,'DBG_YELLOW',nil,nil,r_engRpm_sim,{'R_ENG_RPM'},
{
    {AnimalControllor.rotateUsingParameter,0,math.rad(-2.7)}
})
txt = AddText(nil,nil,'unicode_cn_white',{-0.30*height,0.4*height},nil,DEFAULT_FONT_SIZE[7],nil,nil,r_engRpm_sim,{'%.1f'},{'R_ENG_RPM'},
{
    {AnimalControllor.textUsingParameter,0}
})
AddBoxBorder(nil,0.30*height,0.15*height,0.02*height,nil,nil,'DBG_GREEN',nil,nil,txt)
AddText(nil,'右','unicode_cn_white',{0,0.8*height},nil,DEFAULT_FONT_SIZE[5],nil,nil,r_engRpm_sim)


local infoSimple = AddSimple(nil,{-0.82580565*width,0},nil,T_Page_sim)
AddText(nil,'左发涡温','unicode_cn_white',{0,0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.1f℃'},{'L_ENG_TMP'},
{
    {AnimalControllor.textUsingParameter,0}
})

AddText(nil,'右发涡温','unicode_cn_white',{0,0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.1f℃'},{'R_ENG_TMP'},
{
    {AnimalControllor.textUsingParameter,0}
})

AddText(nil,'左发油耗','unicode_cn_white',{0,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.3fKG/S'},{'L_ENG_FUEL','UNIT'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.parameterInRange,1,-0.1,0.1}
})
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.3fLBS/S'},{'L_ENG_FUEL','UNIT'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.parameterInRange,1,0.9,1.1}
})

AddText(nil,'右发油耗','unicode_cn_white',{0,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.3fKG/S'},{'R_ENG_FUEL','UNIT'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.parameterInRange,1,-0.1,0.1}
})
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.3fLBS/S'},{'R_ENG_FUEL','UNIT'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.parameterInRange,1,0.9,1.1}
})


infoSimple = AddSimple(nil,{-0.61974915*width,0},nil,T_Page_sim)
AddText(nil,'霹雳-15','unicode_cn_white',{0,0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'PL15_COUNT'},
{
    {AnimalControllor.textUsingParameter,0}
})
AddText(nil,'霹雳-17','unicode_cn_white',{0,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'PL17_COUNT'},
{
    {AnimalControllor.textUsingParameter,0}
})
AddText(nil,'霹雳-12','unicode_cn_white',{0,0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'PL12_COUNT'},
{
    {AnimalControllor.textUsingParameter,0}
})

AddText(nil,'霹雳-10E','unicode_cn_white',{0,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'PL10E_COUNT'},
{
    {AnimalControllor.textUsingParameter,0},
})

infoSimple = AddSimple(nil,{-0.49574915*width,0},nil,T_Page_sim)

AddText(nil,'雷电-10','unicode_cn_white',{0,0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'LD10_COUNT'},
{
    {AnimalControllor.textUsingParameter,0},
})

AddText(nil,'GBU-12','unicode_cn_white',{0,0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'GBU12_COUNT'},
{
    {AnimalControllor.textUsingParameter,0},
})


AddText(nil,'热诱弹','unicode_cn_white',{0,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.2*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'FLARE_QTY'},
{
    {AnimalControllor.textUsingParameter,0}
})

AddText(nil,'箔条','unicode_cn_white',{0,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple)
AddText(nil,nil,'unicode_cn_white',{0.08*width,-0.7*height},Align.LC,DEFAULT_FONT_SIZE[6],nil,nil,infoSimple,{'%.0f'},{'CHAFF_QTY'},
{
    {AnimalControllor.textUsingParameter,0},
})

txt = AddText(nil,'主警告','unicode_cn_white',{0,0.4*height},nil,DEFAULT_FONT_SIZE[4],nil,nil,T_Page_sim,nil,{'MASTER_CAU'},
{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,0,0}
})
AddBoxBorder(nil,0.05*width,0.3*height,0.05*height,nil,nil,'DBG_GREEN',nil,nil,txt,{'MASTER_CAU'},
{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,0,0}
})

txt = AddText(nil,'飞控警告','unicode_cn_white',{-0.075*width,-0.4*height},nil,DEFAULT_FONT_SIZE[5],nil,nil,T_Page_sim,nil,{'FCS_CAU'},
{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,0,0}
})
AddBoxBorder(nil,0.05*width,0.3*height,0.05*height,nil,nil,'DBG_GREEN',nil,nil,txt,{'FCS_CAU'},
{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,0,0}
})
txt = AddText(nil,'火灾警告','unicode_cn_white',{0.075*width,-0.4*height},nil,DEFAULT_FONT_SIZE[5],nil,nil,T_Page_sim,nil,{'FCS_CAU'},
{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,0,0}
})
AddBoxBorder(nil,0.05*width,0.3*height,0.05*height,nil,nil,'DBG_GREEN',nil,nil,txt,{'FCS_CAU'},
{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,0,0}
})

local commSimple = AddSimple(nil,{0.5*width,0},nil,T_Page_sim)

AddText(nil,'电台1','unicode_cn_white',{-0.05*width,0},nil,DEFAULT_FONT_SIZE[3],nil,nil,commSimple)
AddText(nil,nil,'unicode_cn_white',{-0.05*width,0.5*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,commSimple,{'%.3f'},{'COMM1_FREQ'},
{
    {AnimalControllor.textUsingParameter,0}
})
AddText(nil,nil,'unicode_cn_white',{-0.05*width,-0.5*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,commSimple,{'%.3f'},{'COMM1_PRE_FREQ'},
{
    {AnimalControllor.textUsingParameter,0}
})

AddText(nil,'电台2','unicode_cn_white',{0.05*width,0},nil,DEFAULT_FONT_SIZE[3],nil,nil,commSimple)
AddText(nil,nil,'unicode_cn_white',{0.05*width,0.5*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,commSimple,{'%.3f'},{'COMM2_FREQ'},
{
    {AnimalControllor.textUsingParameter,0}
})
AddText(nil,nil,'unicode_cn_white',{0.05*width,-0.5*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,commSimple,{'%.3f'},{'COMM2_PRE_FREQ'},
{
    {AnimalControllor.textUsingParameter,0}
})